Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1284342 - releases extension needs to be decoupled from upstream code
Summary: releases extension needs to be decoupled from upstream code
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Bugzilla
Classification: Community
Component: Extensions
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On: 1311374
Blocks: 1211439 1310494 1514600
TreeView+ depends on / blocked
 
Reported: 2015-11-23 04:59 UTC by Jeff Fearn 🐞
Modified: 2019-01-23 23:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-23 23:46:24 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2015-11-23 04:59:04 UTC
Description of problem:
This extension has a lot of code in the upstream templates, it should be possible to move a lot of that to the extension.

Comment 3 Jeff Fearn 🐞 2017-01-15 23:14:15 UTC
Removing from sprints due to resource limitations.

Comment 4 Jeff Fearn 🐞 2018-03-19 02:35:51 UTC
There is a lot of code embeded in the upstream code that can be moved to the Releases extension by hooking the field control.

e.g. how Bugzilla::Product::allows_on_dev is hooked in the RedHat extension.

Comment 5 Jeff Fearn 🐞 2019-01-23 23:46:24 UTC
In preparation for entering maintenance mode we are closing bugs that were opened by the Bugzilla Team aimed at reducing technical debt.


Note You need to log in before you can comment on or make changes to this bug.